Ask Your Question
0

Does LibreOffice run/work on OS X 10.9. Mavericks, or are there issues, e.g. with respect to 32/64 bit Java runtime? [closed]

asked 2013-10-24 14:25:47 +0100

Gerion gravatar image

updated 2013-10-27 03:09:52 +0100

oweng gravatar image

I just switched to a MacOS System, currently running Mountain Lion (10.8.), and Libreoffice works fine. I am a bit nervous about updating. Can someone confirm that the program does not crash? I learned that Apple changed something in the Java runtime engine support...

edit retag flag offensive reopen merge delete

Closed for the following reason the question is answered, right answer was accepted by Alex Kemp
close date 2016-02-29 21:53:00.143366

1 Answer

Sort by » oldest newest most voted
0

answered 2013-10-27 03:06:21 +0100

oweng gravatar image

updated 2014-07-17 12:37:50 +0100

EDIT: What follows below the line is now old and applied to the LO v4.1-4.2 transition period. From v4.1.4.2 onward there is an "x86_64" build available for MacOS. This build (not the "Intel" a.k.a. x86 one) is required for interoperability with a 64bit (x64) version of Java.


I would advise anyone trying this combination (MacOS v10.9 and LO v4.1) to read this Dev mailing list thread. The initial comment by Norbert Thiebaud in particular illustrates some problems and a method of getting around them. The particular JRE/JDK installed (Oracle, Apple, other) is especially influential of the situation. Also note this User mailing list thread and the initial comment by Alex Thurgood indicating that LO under MacOS will only work with 32bit Java at this point.

Also note this recent answer from a developer.

edit flag offensive delete link more

Question Tools

2 followers

Stats

Asked: 2013-10-24 14:25:47 +0100

Seen: 6,783 times

Last updated: Jul 17 '14